Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class FmlKey

    java.lang.Object
      |
      +--weblogic.wtc.jatmi.FmlKey

public final class FmlKey
extends java.lang.Object
implements java.lang.Comparable

This class represents the combination of FML field id and occurance.

Author:
  BEA Systems, Inc.
See Also:
  `FML`, `mkfldclass`

Constructor Summary
`FmlKey(FmlKey toCopy)` Constructor.
`FmlKey(int fldid, int occurance)` Constructor.

Method Summary
`int` | `compareTo(java.lang.Object obj)` orders two FmlKey objects
`boolean` | `equals(java.lang.Object obj)` Compares two FmlKey objects
`int` | `get_fldid()` Returns the field id associated with this key
`int` | `get_occurance()` Returns the occurance number associated with this key
`void` | `set_occurance(int occurance)` sets the occurance number of this key
`java.lang.String` | `toString()` Returns a string version of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FmlKey

    public FmlKey(int fldid,
                  int occurance)

  Constructor. Takes the fml field id and occurance number

  Parameters:
    `fldid` - A FML field ID
    `occurance` - The occurance where this field should occur in an FML buffer

### FmlKey

    public FmlKey(FmlKey toCopy)

  Constructor. Copies an existing FmlKey.

  Parameters:
    `toCopy` - A FmlKey object to copy

Method Detail

### get_fldid

    public int get_fldid()

  Returns the field id associated with this key

  Returns:
    the field id associated with this key

### get_occurance

    public int get_occurance()

  Returns the occurance number associated with this key

  Returns:
    the occurance number associated with this key

### set_occurance

    public void set_occurance(int occurance)

  sets the occurance number of this key

  Parameters:
    `occurance` - The occurance number for this key

### equals

    public boolean equals(java.lang.Object obj)

  Compares two FmlKey objects

  Parameters:
    `obj` - An object to compare to this object
  Returns:
    true if the objects are equal, false otherwise
  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Returns a string version of this object. The string version consists of the fldid and occurance number.

  Returns:
    The string representation of a FmlKey object
  Overrides:
    toString in class java.lang.Object

### compareTo

    public int compareTo(java.lang.Object obj)

  orders two FmlKey objects
  Specified by:
    compareTo in interface java.lang.Comparable

  Parameters:
    `obj` - The FmlKey object to compare to this one
  Returns:
    -1 if this object comes before obj, 0 if they are equal and 1 if this object comes after obj

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference